
QGIS Application - Bug report #12370

QGIS Desktop V2.8.1 crashes when I press New, Open or Save button

2015-03-13 11:02 AM - Frank Koconis

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 20545

Description

Just installed QGIS V2.8.1.  When I start the QGIS Desktop and press either the New, Open or Save buttons, it crashes and generates a

mini-dump.  I have attached two.

I searched for this issue and saw a post suggesting that it might help to disable all plug-ins, so I tried that.  Interestingly, after I disabled

all plug-ins, the New button seems to be OK (no crash), but it still crashes if I press either the Open or Save button.

History

#1 - 2015-03-13 11:20 AM - Frank Koconis

- File qgis-20150313-134656-8104-4212-exported.zip added

It appears that the two crash dump files that I attached were to large to upload.  I will try compressing them...

#2 - 2015-03-13 11:21 AM - Frank Koconis

- File qgis-20150313-135253-1608-7672-exported.zip added

Second crash dump file, compressed...

#3 - 2015-03-13 11:48 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Project Loading/Saving

did you had any previous qgis release installed? if yes try deleting the .qgis2 folder (make a backup first if needed).

#4 - 2015-03-13 01:55 PM - Frank Koconis

No- this is a new Windows 7 laptop which has never had any version of QGIS on it.

#5 - 2015-03-15 06:29 AM - Giovanni Manghi

- Status changed from Feedback to Open

Frank Koconis wrote:

2025-05-19 1/2



No- this is a new Windows 7 laptop which has never had any version of QGIS on it.

weird, anyway this should be a local issue. Hope someone can have a look to dump files and find a reason for the crash.

#6 - 2017-03-07 11:09 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Closed

- Priority changed from Normal to High

- Resolution set to not reproducable

Very likely a local issue, and anyway now obsolete.

Files

qgis-20150313-134656-8104-4212-exported.zip 3.64 MB 2015-03-13 Frank Koconis

qgis-20150313-135253-1608-7672-exported.zip 3.63 MB 2015-03-13 Frank Koconis
